<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';

             $free_kassa_id = $config_pay['free_kassa_id'];
             $free_kassa_key = $config_pay['free_kassa_key'];


            $hash = md5($free_kassa_id.":".$_POST['AMOUNT'].":".$free_kassa_key.":".$_POST['MERCHANT_ORDER_ID']);

         if ($hash != $_POST['SIGN'])
          {

            $id = $_POST['MERCHANT_ORDER_ID'];

            include_once ROOT_DIR . '/engine/libmail.php';
              $sqlqs = $pdo->Query("SELECT * FROM `php_engine` WHERE `id` = '1'");
              $refdata = $sqlqs->Fetch();
              $smtp_port = $refdata['smtp_port'];
              $port = $refdata['port'];
              $smtp_email = $refdata['smtp_email'];
              $password = $refdata['password'];

            $messag = '
                         <html>
                         <head>
                         <title>Пополнение личного счёта</title>
                         <style type="text/css">
                         html, body {
                         margin:0;
                         margin-left:5px;
                         padding:0;
                         font-size:12px;
                         }
                         p {
                         margin:0;
                         padding:3px;
                         }
                         </style>
                         </head>
                         <body>
                         <p>В магазине I-ESHOP был оплачен счёт</b>.</p>
                         <p>--------------------------------------------</p>
                         <p>Через Free-Kassa на сумму '.$_POST['AMOUNT'].'.</p>
                         </html>';

                         $m = new Mail;
                         $m->From( 'Пополнение личного счёта;' . $smtp_email ); // от кого отправляется почта
                         $m->To( 'ieshop32@gmail.com' ); // кому адресованно
                         $m->Subject( 'Пополнение личного счёта ' . $_SERVER["HTTP_HOST"] );
                         $m->Body( $messag );
                        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
                        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
                         $m->Priority( 3 ); // приоритет письма
                        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
                         $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
                         $m->Send(); // а теперь пошла отправка

            $pdo->Query("UPDATE `php_user` SET `money` = `money` + '".$_POST['AMOUNT']."' WHERE `id` = '" . $id . "'");

          }

            die('YES');

?>
